lensfun 0.2.8.0

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Members

Public Attributes | List of all members
lfLensCalibVignetting Struct Reference
Structures and functions for lenses

Lens vignetting calibration data. More...

`#include <lensfun.h>`

## Public Attributes
enum lfVignettingModel | Model
| The lens vignetting model used.
float | Focal
| Focal length at which this calibration data was taken (0 - unspecified)
float | Aperture
| Aperture at which this calibration data was taken (0 - unspecified)
float | Distance
| Distance to subject (important only for vignetting)
float | Terms [3]
| Lens vignetting model coefficients (depending on model)

## Detailed Description

Lens vignetting calibration data.

Vignetting depends on focal length, aperture and distance to subject. The library will interpolate the coefficients if data for the exact focal length, aperture and distance-to-subject is not available, trying first to match the exact focal length, then the aperture.

The documentation for this struct was generated from the following file:

- lensfun.h